Retrieve the class session registrations of a guest

This API helps you to retrieve the list of class sessions for which the specified guest has registered.

You must provide the appropriate details in the API request for the user_id parameter. Optionally, you can also specify the required details in the API request for several other parameters to filter the search results in the API response. Refer to the Request Parameters table for more information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
SuccessbooleanIndicates whether the class session registrations of the specified guest was successfully retrieved.
resultsobjectObject that contains detailed information on the class sessions for which the guest has registered. For more information, refer to the results Object table.
CentersobjectObject that contains all the elements related to the center in which the guest registered for class sessions.
totalintTotal number of class sessions for which the guest has registered.
ErrorobjectObject that contains error message and error code details. For more information, refer to the Error Object table.

results Object

NameTypeDescription
IdintUnique ID of the class session registration.
StartTimedatetimeStarting time of the booked session.
EndTimedatetimeEnding time of the booked session.
StartTimeUTCdatetimeStarting time of the booked session in UTC.
EndTimeUTCdatetimeEnding time of the booked session in UTC.
SessionNamestringName of the class session.
RegistrationStatusenumIndicates the status of the registration for the class session: Registered = 0, Cancelled = 1, NoShow = 2, SignedIn = 3, Waitlisted = 4, Substituted = 5, ClassCancelled = 6, Closed = 7, Enrolled = 8, Rejected = 9.
SessionStatusenumIndicates the status of the class session: Active - 0, Cancelled - 1, Upcoming - 2, Inprogress - 3, and Completed - 4.
InstructorIdguidUnique 32-character identifier of the instructor who will perform the class session.
InstructorstringName of the instructor.
ImagePathsdictionaryName-value pairs of images that contain pixel sizes and location respectively.
CenterstringName of the center at which the guest has registered for the session.
CancellationFeeWindowintNumber of days within which the guest must pay the cancellation fee for the class.
CancellationFeedoubleCancellation fee that the guest must pay for the class.
ClassNamestring?Name of the class.
ClassDescriptionstring?Description of the class.
ClassHtmlDescriptionstring?Description of the class in HTML.
SessionDescriptionstring?Description of the registered session.
SessionHtmlDescriptionstring?Description of the registered session in HTML.
CanCancelbooleanIndicates whether the guest can cancel the booked session.
ClassImagePathsdictionary?Name-value pairs of class images that contain pixel sizes and location respectively.
CurrentWaitlistPositionintCurrent position of the guest on the waiting list for the class session.
ClassTypeintType of the class session.
ClassIdintID of the class session.
ServiceIdguidUnique 32-character identifier of the class session.
CenterIdguidUnique 32-character identifier of the center.
GuestFormStatusstringStatus of the guest's class form details.
ClassStartTimedatetimeStarting date and time of the class session.
ClassEndTimedatetimeEnding date and time of the class session.

Error Object

codemessage
502 - InvalidInputThe UserId passed is not of the logged-in guest.
404 - Not FoundSomething went wrong.
502 - InvalidInputCurrently more than one sorter is not supported.
502 - InvalidInputCurrently only StartDate is supported as sorter.
***The date range cannot be more than a month, getting registrations for a month.
Query Params
string
required

Mandatory Unique identifier of the guest for whom you want to retrieve the class session registrations.

date
Defaults to 00:00:00

Optional Registered class sessions will be returned from the specified start date. You must specify this date in YYYY-MM-DD format. If you do not provide any time details for this parameter, the API considers its default value: 00:00:00.

date
Defaults to 00:00:00

Optional Registered class sessions will be returned until the specified end date. You must specify this date in YYYY-MM-DD format. If you do not provide any time details for this parameter, the API considers its default value: 00:00:00.

string

Optional Unique identifier of the center for which you want to retrieve the guest's registered class sessions.

int32

Optional Type of the class session.

int32

Optional Current page that you want to view.

int32

Optional Number of records to be displayed per page.

string

Optional Object that contains the property for which you want to sort the search results in the API response and whether you want to sort the records in an ascending or descending manner. This parameters contains the following elements: Property and Ascending. Currently, this parameter only supports the values for the startDate parameter.

boolean

Optional Object that contains these additional elements by using which you can filter the records: Property and Value.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json